Elementor 2.4 + Raven crashes the site and shows a fatal error


#1

!..UPDATE…!
The Raven plugin fix is available in the Jupiter X -> Control Panel -> Plugins. Please ensure you update Raven first and then update the Elementor to 2.4.1

For the users whose site is still crashed, you can access your site files through FTP and remove both Elementor and Raven plugin files. Then go to Jupiter X -> Control Panel -> Plugins and activate the Elementor and then the Raven plugin.

!..IMPORTANT…!

This is regarding the Jupiter X + Elementor 2.4 + Raven that crashes the site and shows a fatal error.

As some of might you have already experienced this issue, we are aware of this issue too and we are working on it to fix it.

In the meantime, please downgrade the Elementor to the previous version which is 2.3.8.

There are 2 ways to do it:

1 - This is a bit easy way to handle this issue. Please access your site using FTP, then go to wp-content/plugins folder and remove the Raven plugin folder. Once you delete this folder, the fatal error will go away and you will be able to access your site again.

Then, go to admin panel and access Elementor -> Tools -> Version Control and rollback to the previous version which is 2.3.8 in our case.

Now, go to Jupiter X -> Control Panel -> Plugins and activate the Raven Plugin.

2 - You can do this by accessing your site using FTP, then go to wp-content/plugins folder and remove the elementor folder. Once you delete this folder, the fatal error will go away and you will be able to access your site again. The site may be in bad shape though but don’t worry.

Now, download the version 2.3.8 from this dropbox link https://www.dropbox.com/s/i3hsqothk5jyekk/elementor.2.3.8.zip?dl=0

Extract the zip file and again go to wp-content/plugins folder and paste the plugin files in this folder.


Fatal error: Call to undefined method Elementor\Core\Documents_Manager::register_group()
#2

#3

#4

But when you re-add Elementor via the control panel as you suggest it adds 2.4.0 again and crashes the site?


#5

Same thing for me, it downloads 2.4.0 and crashes again


#6

Same thing for me too… It downloads elementor 2.4.0 and crashes the website again


#7

My apologies to all of you. It seems like Jupiter X control panel is directly linked to Elementor repo on wp.org and that is why it installs the latest update.

For now, please downgrade to the previous version which is 2.3.8.

Please go to https://wordpress.org/plugins/elementor/advanced/ and scroll down till you find the Previous Versions select box. Set the version to 2.3.8 and download it.


#8

@Mark_Alesbury @Peryx_Thierry @Julie_Saba

Please checkout the post again. I have now added 2 ways to handle this issue, among which the 1st one is a bit easy way to handle this issue.


#9

Thanks Danish. That’s got it!


#11

Thank you Danish it works !


#12

Hi,
After do that I have a error with Elementor. The preview can’t load.
I have WooCommerce 3.5.3 activated in it but when I deactivate it, it’s work.
So it’s have a problem with WooCommerce too.


#13

That seems to be a separate issue.
Please start a live chat with us as we would need to investigate it further.

Thanks.


#14

@Danish_Iqbal now there is a new update - does this work? https://wordpress.org/plugins/elementor/#developers


#15

it broke for me too i deleted the plugin, but when i installed the template it tried to bring back that plugin and crashed again. it will not work with template demo uploads


#16

I did but its crashing again n again wht to do and why my header & Footer effecting


#17

Hi Im totally new to Jupiter and said Id try it out.

Ive tried to install it on two different servers and its crashed both sites.

Like it uploads fine and when I run through the installation of the core files it just gives me a revolving ball of boredom and death.

Cud this be to do with this issue here you are identifying? Do I need to go into FTP and delete this elemenator plug in?

Or is it something else?

Thanks in advance. Im hoping Jupiter X is as good as my friend said it is.


#18

Please wait for the Raven update, you can update Elementor after Raven.


#19

Please install Elementor 2.3.8 before installing a template. The link of this version is above in the main article.

After this, you can install a template and that will work fine.


#20

Well, I’m sure you are missing a step because this works for the rest.


#21

While installing initially, did you install the theme files only or plugins too?